Bug 970570 - Impossible to consume promoted content from environments
Summary: Impossible to consume promoted content from environments
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Management   
(Show other bugs)
Version: Nightly
Hardware: Unspecified Unspecified
high
high vote
Target Milestone: Unspecified
Assignee: Justin Sherrill
QA Contact: Garik Khachikyan
URL:
Whiteboard:
Keywords: Regression, Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-04 11:42 UTC by Garik Khachikyan
Modified: 2015-01-04 21:59 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 969030
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
logs (239.28 KB, application/gzip)
2013-06-04 12:55 UTC, Garik Khachikyan
no flags Details

Comment 1 Garik Khachikyan 2013-06-04 11:44:37 UTC
high priority issue for us: automation stays failing with so many skips there.

so this issue regards consuming yum content from the environments.

please refer Hayk H. scenario above.

Comment 2 Garik Khachikyan 2013-06-04 12:55:33 UTC
Created attachment 756753 [details]
logs

Comment 4 Justin Sherrill 2013-06-05 14:04:33 UTC
Apparently issue is with  candlepin-0.8.12-1.el6.noarch.

They started requiring an arch to be set on the product or content/repo, which we are not doing.  (But we can default to ALL).

They are also releasing a new version to change the way that arch is set.  That version has now landed in nightly.  Will look at updating katello to support it.


Note that this issue should only affect custom content.

Comment 5 Justin Sherrill 2013-06-05 21:44:35 UTC
https://github.com/Katello/katello/pull/2435

Comment 8 Garik Khachikyan 2013-10-15 12:01:47 UTC
# VERIFIED

Checked both: RHEL6 CDN synced content + custom Zoo4 repo - both possible to consume through the system being registered via ak-s.

version of the system checked:
===
candlepin-0.8.25-1.el6sam.noarch
candlepin-cert-consumer-hades.usersys.redhat.com-1.0-1.noarch
candlepin-scl-1-5.el6_4.noarch
candlepin-scl-quartz-2.1.5-5.el6_4.noarch
candlepin-scl-rhino-1.7R3-1.el6_4.noarch
candlepin-scl-runtime-1-5.el6_4.noarch
candlepin-selinux-0.8.25-1.el6sam.noarch
candlepin-tomcat6-0.8.25-1.el6sam.noarch
createrepo-0.9.9-21.2.pulp.el6sat.noarch
elasticsearch-0.19.9-8.el6sat.noarch
katello-1.4.6-31.el6sat.noarch
katello-agent-1.4.4-3.el6sat.noarch
katello-all-1.4.6-31.el6sat.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-certs-tools-1.4.4-1.el6sat.noarch
katello-cli-1.4.3-20.el6sat.noarch
katello-cli-common-1.4.3-20.el6sat.noarch
katello-common-1.4.6-31.el6sat.noarch
katello-configure-1.4.7-3.el6sat.noarch
katello-configure-foreman-1.4.7-3.el6sat.noarch
katello-configure-foreman-proxy-1.4.7-3.el6sat.noarch
katello-foreman-all-1.4.6-31.el6sat.noarch
katello-glue-candlepin-1.4.6-31.el6sat.noarch
katello-glue-elasticsearch-1.4.6-31.el6sat.noarch
katello-glue-pulp-1.4.6-31.el6sat.noarch
katello-qpid-broker-key-pair-1.0-1.noarch
katello-qpid-client-key-pair-1.0-1.noarch
katello-selinux-1.4.4-4.el6sat.noarch
m2crypto-0.21.1.pulp-8.el6sat.x86_64
mod_wsgi-3.4-1.pulp.el6sat.x86_64
pulp-katello-plugins-0.2-1.el6sat.noarch
pulp-nodes-common-2.3.0-0.17.beta.el6sat.noarch
pulp-nodes-parent-2.3.0-0.17.beta.el6sat.noarch
pulp-puppet-plugins-2.3.0-0.17.beta.el6sat.noarch
pulp-rpm-handlers-2.3.0-0.17.beta.el6sat.noarch
pulp-rpm-plugins-2.3.0-0.17.beta.el6sat.noarch
pulp-selinux-2.3.0-0.17.beta.el6sat.noarch
pulp-server-2.3.0-0.17.beta.el6sat.noarch
python-isodate-0.5.0-1.pulp.el6sat.noarch
python-oauth2-1.5.170-3.pulp.el6sat.noarch
python-pulp-agent-lib-2.3.0-0.17.beta.el6sat.noarch
python-pulp-bindings-2.3.0-0.17.beta.el6sat.noarch
python-pulp-common-2.3.0-0.17.beta.el6sat.noarch
python-pulp-puppet-common-2.3.0-0.17.beta.el6sat.noarch
python-pulp-rpm-common-2.3.0-0.17.beta.el6sat.noarch
python-qpid-0.18-5.el6_4.noarch
qpid-cpp-client-0.14-22.el6_3.x86_64
qpid-cpp-client-ssl-0.14-22.el6_3.x86_64
qpid-cpp-server-0.14-22.el6_3.x86_64
qpid-cpp-server-ssl-0.14-22.el6_3.x86_64
ruby193-rubygem-foreman-katello-engine-0.0.14-5.el6sat.noarch
ruby193-rubygem-katello-foreman-engine-0.0.7-2.el6sat.noarch
ruby193-rubygem-katello_api-0.0.3-4.el6sat.noarch
ruby193-rubygem-ldap_fluff-0.2.2-2.el6sat.noarch
signo-katello-0.0.22-2.el6sat.noarch

Comment 9 Bryan Kearney 2014-04-24 17:10:44 UTC
This was verified and delivered with MDP2. Closing it out.

Comment 10 Bryan Kearney 2014-04-24 17:11:52 UTC
This was delivered and verified with MDP2. Closing the bug.


Note You need to log in before you can comment on or make changes to this bug.